Skip to main content
POST
/
v1
/
connections
/
{connection_id}
/
sync
Start Sync
curl --request POST \
  --url https://api.adapter.com/v1/connections/{connection_id}/sync \
  --header 'Content-Type: application/json' \
  --data '
{
  "sync_config": {}
}
'
[
  {
    "connection_id": "conn_01abc123",
    "resource": "slack.messages",
    "status": "completed",
    "total_windows": 12,
    "completed_windows": 12,
    "items_ingested": 1042,
    "last_synced_at": "2026-01-15T10:30:00Z",
    "error": "<string>",
    "updated_at": "2026-01-15T10:30:00Z"
  }
]

Path Parameters

connection_id
string
required

Body

application/json
sync_config
Sync Config · object

Provider-specific sync configuration. Available fields are returned per resource from the /v1/providers endpoint.

Response

Successful Response

connection_id
string
required

Connection ID.

Example:

"conn_01abc123"

resource
string
required

Fully-qualified resource slug.

Example:

"slack.messages"

status
string
required

Sync status: pending, running, completed, failed, or cancelled.

Example:

"completed"

total_windows
integer
required

Total time windows to process for this backfill.

Example:

12

completed_windows
integer
required

Number of windows that have finished processing.

Example:

12

items_ingested
integer
required

Total documents ingested so far.

Example:

1042

last_synced_at
string | null

ISO 8601 timestamp of the last completed sync window.

Example:

"2026-01-15T10:30:00Z"

error
string | null

Error message if status is 'failed'.

updated_at
string | null

ISO 8601 timestamp of the last state update.

Example:

"2026-01-15T10:30:00Z"